package com.crm.manager.service;

import com.crm.rely.backend.core.dto.base.BaseResultDto;
import com.crm.rely.backend.core.dto.base.ResultWithPagerDto;
import com.crm.rely.backend.core.dto.country.SysCountryDto;
import com.crm.rely.backend.core.dto.country.SysCountrySearchListDto;
import com.crm.rely.backend.core.entity.base.SingleLongEntity;
import com.crm.rely.backend.core.entity.country.*;
import com.crm.rely.backend.core.pojo.table.SysCountryTable;
import com.crm.rely.backend.exception.ServiceException;

import java.util.List;

/**
 * 国家
 */
public interface SysCountryService {

    void add(SysCountryAddEntity entity) throws Exception;

    void delete(SysCountryDeleteEntitys entity) throws Exception;

    void update(SysCountryUpdateEntity entity) throws Exception;

    ResultWithPagerDto<SysCountrySearchListDto> searchPageList(SysCountrySearchListEntity entity) throws Exception;

    SysCountrySearchListDto searchSingle(SingleLongEntity entity) throws Exception;

    SysCountryTable getByCode(String country) throws ServiceException;

}
